"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimeoutError = void 0;
exports.waitForActionAsync = waitForActionAsync;
function _delayAsync() {
  const data = require("../../utils/delayAsync");
  _delayAsync = function () {
    return data;
  };
  return data;
}
class TimeoutError extends Error {}
exports.TimeoutError = TimeoutError;
async function waitForActionAsync({
  action,
  interval = 100,
  maxWaitTime = 20000
}) {
  let complete;
  const start = Date.now();
  do {
    complete = await action();
    await (0, _delayAsync().delayAsync)(interval);
    if (Date.now() - start > maxWaitTime) {
      break;
    }
  } while (!complete);
  return complete;
}
//# sourceMappingURL=waitForActionAsync.js.map