import { ExpoConfig } from '@expo/config';
import { StartDevServerOptions } from '../internal';
/**
 * Sends a message over web sockets to any connected device,
 * does nothing when the dev server is not running.
 *
 * @param method name of the command. In RN projects `reload`, and `devMenu` are available. In Expo Go, `sendDevCommand` is available.
 * @param params
 */
export declare function broadcastMessage(method: 'reload' | 'devMenu' | 'sendDevCommand', params?: Record<string, any> | undefined): void;
export declare function startWebpackAsync(projectRoot: string, { exp, ...options }?: StartDevServerOptions & {
    exp?: ExpoConfig;
}): Promise<void>;
export declare function startAsync(projectRoot: string, { exp, ...options }?: StartDevServerOptions & {
    exp?: ExpoConfig;
}, verbose?: boolean): Promise<ExpoConfig>;
export declare function stopAsync(projectRoot: string): Promise<void>;
